import type { NodeVisitor } from 'simple-ts-transform';
import type { Node, SourceFile } from 'typescript';
import type TContext from './TContext';
/**
 * Analyze a source file, check if it should be modified.
 */
export default class FileAnalyzer implements NodeVisitor<SourceFile> {
    private readonly context;
    constructor(context: TContext);
    wants(node: Node): node is SourceFile;
    visit(node: SourceFile): Node[];
}
